Package org.eclipse.rdf4j.query.impl

## Class AbstractParserQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery
    - - org.eclipse.rdf4j.query.impl.AbstractParserQuery

- All Implemented Interfaces:
    `Operation`, `Query`
  Direct Known Subclasses:
    `SailQuery`

      public abstract class AbstractParserQuery
      extends AbstractQuery

  Author:
    Arjohn Kampman

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `AbstractParserQuery.QueryInterruptIteration` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static int` | `DEFAULT_EXPLANATION_EXECUTION_TIMEOUT` |

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractParserQuery​(ParsedQuery parsedQuery)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CloseableIteration<? extends BindingSet,​QueryEvaluationException>` | `enforceMaxQueryTime​(CloseableIteration<? extends BindingSet,​QueryEvaluationException> bindingsIter)` |
    `Dataset` | `getActiveDataset()` | Gets the "active" dataset for this query.
    `ParsedQuery` | `getParsedQuery()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

      `getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain`

- - ### Field Detail

    - #### DEFAULT_EXPLANATION_EXECUTION_TIMEOUT

          protected static final int DEFAULT_EXPLANATION_EXECUTION_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractParserQuery

          protected AbstractParserQuery​(ParsedQuery parsedQuery)

  - ### Method Detail

    - #### getParsedQuery

          public ParsedQuery getParsedQuery()

    - #### enforceMaxQueryTime

          protected CloseableIteration<? extends BindingSet,​QueryEvaluationException> enforceMaxQueryTime​(CloseableIteration<? extends BindingSet,​QueryEvaluationException> bindingsIter)

    - #### getActiveDataset

          public Dataset getActiveDataset()

      Gets the "active" dataset for this query. The active dataset is either the dataset that has been specified using `AbstractOperation.setDataset(Dataset)` or the dataset that has been specified in the query, where the former takes precedence over the latter.
      Returns:
        The active dataset, or null if there is no dataset.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`